From 801a354450ea173f3f2fd516b4fbdd0f2d4486dc Mon Sep 17 00:00:00 2001
From: Alcor <alcor@tilde.club>
Date: Mon, 18 May 2026 16:55:17 +0200
Subject: [PATCH 16/19] remove reply filtering

we will think of a better mechanism for this later
---
 filter.c | 26 --------------------------
 1 file changed, 26 deletions(-)

diff --git a/filter.c b/filter.c
index bbe40c8..727d45a 100644
--- a/filter.c
+++ b/filter.c
@@ -93,38 +93,12 @@ static bool filterTest(
 	return !fnmatch(filter.mesg, msg->params[1], FNM_CASEFOLD);
 }
 
-enum { IcedCap = 8 };
-static struct {
-	size_t len;
-	char *msgIDs[IcedCap];
-} iced;
-
-static void icedPush(const char *msgID) {
-	if (!msgID) return;
-	size_t i = iced.len % IcedCap;
-	free(iced.msgIDs[i]);
-	iced.msgIDs[i] = strdup(msgID);
-	if (!iced.msgIDs[i]) err(1, "strdup");
-	iced.len++;
-}
-
 enum Heat filterCheck(enum Heat heat, uint id, const struct Message *msg) {
 	if (!len) return heat;
-
-	if (msg->tags[TagReply]) {
-		for (size_t i = 0; i < IcedCap; ++i) {
-			if (!iced.msgIDs[i]) continue;
-			if (strcmp(msg->tags[TagReply], iced.msgIDs[i])) continue;
-			icedPush(msg->tags[TagMsgID]);
-			return Ice;
-		}
-	}
-
 	char mask[512];
 	snprintf(mask, sizeof(mask), "%s!%s@%s", msg->nick, msg->user, msg->host);
 	for (size_t i = 0; i < len; ++i) {
 		if (!filterTest(filters[i], mask, id, msg)) continue;
-		if (filters[i].heat == Ice) icedPush(msg->tags[TagMsgID]);
 		return filters[i].heat;
 	}
 	return heat;
-- 
2.47.3

